> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/36.-mutation-lagg-till-flera-comments-till-de-valda-notes.md).

# 36. Mutation: Lägg till flera "Comments" till de valda "Notes"

Denna mutation låter dig lägga till flera kommentarer till den valda noteringen.

{% hint style="success" %}
Maximalt antal kommentarer som kan sparas är 25.
{% endhint %}

* En kommentar kan kopplas till fältet via dess unika identifierare `fieldUuid` och till noteringen via `noteUuid`.
* Innehållet i kommentaren kan anges med hjälp av `text` attributet. Om innehållet behöver vara flerradigt, bör `text` attributet innehålla en sträng med ny-radstecken `\\n` för att separera rader. Till exempel: `"Första raden. är här\\nAndra raden är här.\\nTredje raden är här."`.
* Det är möjligt att ange ett definierat datum/tid som är kopplat till kommentaren med hjälp av `skapadDatum` attributet i ISO8601-format.

Exempel på förfrågan finns nedan:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 4:e kommentaren från flera.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "Den 5:e kommentaren från flera.\\nAndra raden i kommentaren.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    skapadDatum
    updatedDate
    text
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/anteckningar-nalar/36.-mutation-lagg-till-flera-comments-till-de-valda-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
